<header class="header">
  <div class="header__logo">
    <img src="assets/law2.png" alt="logo">
    <span class="header__name">{{ contentPayload.companyInformation.data.attributes.Name }}</span>
    <p>Отмена судебного приказа</p>
  </div>
  <div class="header__contacts">
    <div class="header__socials">
      <a href="">
        <img src="assets/whatsapp.svg" alt="">
      </a>
      <a href="">
        <img src="assets/telegram.svg" alt="">
      </a>
      <a href="tel:{{contentPayload.companyInformation.data.attributes.Phone}}">
        <img src="assets/call.svg" alt="">
        <span>{{ contentPayload.companyInformation.data.attributes.Phone }}</span>
      </a>
    </div>
    <div class="header__email">
      <a href="mailto:{{ contentPayload.companyInformation.data.attributes.Email }}">
        <img src="assets/mail.svg" alt="">
        <span>{{ contentPayload.companyInformation.data.attributes.Email }}</span>
      </a>
    </div>
  </div>
</header>

<section class="welcome">
  <div class="welcome__content" [innerHtml]="contentPayload.welcomeInformation.data.attributes.Welcome"></div>
  <div class="welcome__arrow">
    <svg
      style="fill:#ffffff;"
      width="40px"
      height="20px"
      viewBox="0 0 40 20"
    >
      <g>
        <path d="M19.208,18.592c-0.241,0-0.483-0.087-0.673-0.261L0.327,1.74c-0.408-0.372-0.438-1.004-0.066-1.413c0.372-0.409,1.004-0.439,1.413-0.066L19.208,16.24L36.743,0.261c0.411-0.372,1.042-0.342,1.413,0.066c0.372,0.408,0.343,1.041-0.065,1.413L19.881,18.332C19.691,18.505,19.449,18.592,19.208,18.592z"></path>
      </g>
    </svg>
  </div>
</section>

<section class="services">

  <div
    class="service-item"
    *ngFor="let service of contentPayload.services.data; let i = index"
    [class.service-item--darken]="i % 2 !== 0"
  >
    <div class="service-item__title">
      <h2>{{ service.attributes.Title }}</h2>
    </div>
    <div class="service-card">
      <div class="service-card__price">
        <span class="old">{{ service.attributes.OldPrice }}</span>
        <span>{{ service.attributes.Price }}</span>
      </div>
      <div class="service-card__info" [innerHTML]="service.attributes.PriceDescription"></div>
      <div class="service-card__action">
        <a href="#contract-form">Заказать звонок</a>
      </div>
    </div>
    <div class="service-item__info" [innerHTML]="service.attributes.Description"></div>
  </div>
</section>

<section class="callback">
  <div class="callback-content">
    <h3>Как получить услугу?</h3>
    <p>Просто закажите обратный звонок или свяжитесь с нами по телефону, WhatsApp, Viber, Telegram, электронной почте</p>
    <div class="callback-content__contacts">
      <div class="email">
        <a href="mailto:{{ contentPayload.companyInformation.data.attributes.Email }}">
          <img src="assets/mail.svg" alt="">
          <span>{{ contentPayload.companyInformation.data.attributes.Email }}</span>
        </a>
      </div>
      <div class="socials">
        <a href="">
          <img src="assets/whatsapp.svg" alt="">
        </a>
        <a href="">
          <img src="assets/telegram.svg" alt="">
        </a>
        <a href="tel:{{contentPayload.companyInformation.data.attributes.Phone}}">
          <img src="assets/call.svg" alt="">
          <span>{{ contentPayload.companyInformation.data.attributes.Phone }}</span>
        </a>
      </div>
    </div>
    <p>или заполните форму обратной связи</p>
  </div>
  <form class="callback-form" (ngSubmit)="submit($event)" id="contract-form">
    <div class="form-group">
      <label for="phone">Способ связи</label>
      <input
        id="phone"
        type="text"
        placeholder="Укажите свой телефон, E-mail, Viber, WhatsApp или Telegram"
        [(ngModel)]="contact"
        [ngModelOptions]="{ standalone: true }"
      >
    </div>
    <div class="form-group">
      <label for="text">Текст</label>
      <textarea
        name="text"
        id="text"
        cols="30"
        rows="10"
        placeholder="Здесь вы можете оставить свое обращение"
        [(ngModel)]="text"
        [ngModelOptions]="{ standalone: true }"
      ></textarea>
    </div>
    <div class="callback-form__submit">
      <button type="submit" (click)="submit($event)" [disabled]="sent">{{ sent ? 'Успешно отправлено!' : 'Отправить' }}</button>
    </div>
    <div class="callback-form__info">
      <p>Нажимая на кнопку, вы даете согласие на обработку персональных данных и соглашаетесь c политикой в отношении обработки персональных данных</p>
    </div>
  </form>
</section>

<section class="questions">
  <div class="questions__title">
    <h3>Нам часто задают вопросы:</h3>
  </div>
  <div class="qna">
    <div *ngFor="let question of contentPayload.questions.data">
      <div class="qna__question">
        <span>{{question.attributes.QuestionName}}:</span>
        <p>{{question.attributes.Question}}</p>
      </div>
      <div class="qna__answer">
        <span>{{question.attributes.AnswerName}}:</span>
        <p>{{ question.attributes.Answer }}</p>
      </div>
    </div>
  </div>
</section>

<section class="additional">
  <div class="additional__title">
    <h3>Мы также можем подготовить</h3>
  </div>
  <div class="additional__service">
    <p>Заявление о выдаче копии судебного приказа</p>
  </div>
  <div class="additional__service">
    <p>Ходатайство об ознакомлении с материалами судебного дела</p>
  </div>
  <div class="additional__service">
    <p>Частную жалобу на определение суда об отказе в восстановлении пропущенного срока для подачи возражений относительно исполнения судебного приказа</p>
  </div>
  <div class="additional__service">
    <p>Частную жалобу на определение суда о возврате возражений относительно исполнения судебного приказа</p>
  </div>
  <div class="additional__service">
    <p>Кассационную жалобу на вступивший в законную силу судебный приказ
    </p>
  </div>
  <div class="additional__service">
    <p>Заявление об отсрочке или рассрочке исполнения судебного приказа</p>
  </div>
</section>

<div class="advantages">
  <div class="advantages__title">
    <h3>Наши преимущества</h3>
  </div>

  <div class="advantage-list">
    <div class="advantage-card">
      <div class="advantage-card__logo">
        <img src="/assets/smartphone.svg" alt="">
      </div>
      <div class="advantage-card__content">
        <h6>Доступность наших услуг</h6>
        <p>Нашим клиентам не надо тратить свое время на визиты в офис к юристам. К нам можно обратиться из любой точки мира по электронной почте, Viber, WhatsApp, Telegram или телефону.</p>
      </div>
    </div>

    <div class="advantage-card">
      <div class="advantage-card__logo">
        <img src="/assets/hourglass_86336.svg" alt="">
      </div>
      <div class="advantage-card__content">
        <h6>Опыт работы</h6>
        <p>Наш практический опыт работы в области юриспруденции составляет более 20 лет.</p>
      </div>
    </div>

    <div class="advantage-card">
      <div class="advantage-card__logo">
        <img src="/assets/handshake.svg" alt="">
      </div>
      <div class="advantage-card__content">
        <h6>Индивидуальный подход к каждому клиенту</h6>
        <p>Каждый клиент индивидуален и мы понимаем это. Мы всегда готовы пойти навстречу каждому клиенту и предложить самые наилучшие условия для сотрудничества. Используя индивидуальный подход мы подберем для каждого клиента наиболее подходящий для него порядок взаимодействия с нами на основе изложенной клиентом ситуации и необходимых услуг.</p>
      </div>
    </div>

    <div class="advantage-card">
      <div class="advantage-card__logo">
        <img src="/assets/safebox.svg" alt="">
      </div>
      <div class="advantage-card__content">
        <h6>Гарантия конфиденциальности</h6>
        <p>Мы гарантируем полную конфиденциальность полученной от наших клиентов информации и персональных данных.</p>
      </div>
    </div>
  </div>
</div>

<footer class="footer">
  <div class="footer__contacts">
    <div class="email">
      <a href="mailto:{{ contentPayload.companyInformation.data.attributes.Email }}">
        <img src="assets/mail.svg" alt="">
        <span>{{ contentPayload.companyInformation.data.attributes.Email }}</span>
      </a>
    </div>
    <div class="socials">
      <a href="">
        <img src="assets/whatsapp.svg" alt="">
      </a>
      <a href="">
        <img src="assets/telegram.svg" alt="">
      </a>
      <a href="tel:{{contentPayload.companyInformation.data.attributes.Phone}}">
        <img src="assets/call.svg" alt="">
        <span>{{ contentPayload.companyInformation.data.attributes.Phone }}</span>
      </a>
    </div>
  </div>
</footer>
